### Method

# CM Matrix open_async

#### Declaration [src]

    void
    cm_matrix_open_async (
      CmMatrix* self,
      const char* db_path,
      const char* db_name,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Open the matrix db and loads already known clients.

Run `cm_matrix_open_finish()` to get the result.

This method completes asynchronously. Use `cm_matrix_open_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`db_path`

  Type: `const char*`

  The path where db is (to be) stored.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`db_name`

  Type: `const char*`

  The name of database.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The callback to run when ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.